{% extends "register/base.html" %}
{% load socialaccount %}
{% load crispy_forms_tags %}
{% load static %}

    {% block content %}

        {% if user.is_authenticated %}
            <div class="container">
                <div class="log-out">
                    You Are Already Logged In.
                </div>
            </div>
        {% else %}
            <div class="container mb-5">
                <div class="content-section">
                    <form method="POST">
                        {% csrf_token %}
                        <fieldset class="form-group">
                            <legend class="border-bottom mb-4 register-title">LOG IN</legend>
                            {{ form|crispy }}
                        </fieldset>
                        <div class="form-group">
                            <button class="btn btn-outline-info sign-up" type="submit">LOGIN</button>
                            <small>
                                <a class="ml-2" href="/password-reset">Forgot Your Password?</a>
                            </small>
                        </div>
                    </form>
                    <div class="border-top pt-3">
                        <small class="text-muted">
                            Don't Have An Account? <a class="ml-2" href="/register">Sign Up Here!</a>
                        </small>
                        <br>
                        <small>
                            <a href="{% provider_login_url "google" %}">Login with Google</a>
                        </small>
                    </div>
                </div>
            </div>
        {% endif %}

    {% endblock %}